summaryrefslogtreecommitdiff
path: root/t/canon8.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/canon8.sh')
-rw-r--r--t/canon8.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/t/canon8.sh b/t/canon8.sh
new file mode 100644
index 000000000..ae9440c4b
--- /dev/null
+++ b/t/canon8.sh
@@ -0,0 +1,37 @@
+#! /bin/sh
+# Copyright (C) 1996-2017 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Check that canonicalization does not transliterate the '@' charactrer.
+
+. test-init.sh
+
+cat >> configure.ac << 'END'
+AC_PROG_CC
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = foob@rquux
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+# The first grep is here mostly for debugging.
+grep foob.rquux Makefile.in
+grep foob@rquux Makefile.in
+grep 'foob[^@]rquux' Makefile.in && exit 1
+
+: